Bug 1986502 - yaml multi file dnd duplicates previous dragged files
Summary: yaml multi file dnd duplicates previous dragged files
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.9
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.10.0
Assignee: Joe Caiani
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks: 1989798
TreeView+ depends on / blocked
 
Reported: 2021-07-27 17:11 UTC by cvogt
Modified: 2022-03-10 16:05 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Version: 4.9.0-0.nightly-2021-07-26-220837 Cluster ID: 1bc6b49f-5ff6-46b3-b12d-9af7ad9a4b3f Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/92.0.4515.107 Safari/537.36 Edg/92.0.902.55
Last Closed: 2022-03-10 16:04:47 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 10047 0 None None None 2021-09-10 20:41:13 UTC
Github openshift console pull 9682 0 None open Bug 1986502: Fix previously deleted dragged files that show up in import yaml editor 2021-07-29 21:09:33 UTC
Red Hat Product Errata RHSA-2022:0056 0 None None None 2022-03-10 16:05:06 UTC

Description cvogt 2021-07-27 17:11:44 UTC
Description of problem:

Dragging and dropping files into the yaml editor can enter a bad state where subsequent additions result in unexpected content.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. create 2 yaml files on your local system
2. go to the import yaml form (click the + icon in the masthead)
3. drag the first file into the yaml editor
4. delete the contents of the yaml form
5. drag the second file into the yaml editor

Actual results:
After dragging the second file into the form, the contents of both the first and second file appears.

Expected results:
Only the second file contents should be present because all contents in the form was deleted prior to adding the second file


Additional info:

Comment 2 Yanping Zhang 2021-08-06 06:56:43 UTC
Checked on ocp 4.9 cluster with payload 4.9.0-0.nightly-2021-08-04-131508.
Steps to verify:
1. create 2 yaml files on your local system
2. go to the import yaml form (click the + icon in the masthead)
3. drag the first file into the yaml editor
4. delete the contents of the yaml form
5. drag the second file into the yaml editor, only the second file contents are shown in the form.
The bug is fixed.

Comment 3 Yadan Pei 2021-08-10 06:22:45 UTC
1. create 2 yaml files on your local system
2. go to the import yaml form (click the + icon in the masthead)
3. drag the first file into the yaml editor
4. delete all contents of the yaml form
5. drag the 2 yaml files into the yaml editor, in YAML editor we show 3 sections, there are two duplicated YAML from the first file

above steps are checked against 4.9.0-0.nightly-2021-08-07-175228, assigning back

Comment 5 Yadan Pei 2021-09-08 07:32:34 UTC
now every time we drag & add some files, console always duplicate the content of the first file in YAML editor, checked on 4.9.0-0.nightly-2021-09-07-181920

Comment 8 Yadan Pei 2021-09-27 05:48:43 UTC
1. create some yaml files on your local system
2. go to the import yaml form (click the + icon in the masthead)
3. drag & drop more than 1 test yaml files, no duplicates
4. drag and & drop one test file, clear the content then put more files into the editor, no duplicates

the duplicate issues have been fixed

Verified on 4.10.0-0.nightly-2021-09-26-233013

Comment 12 errata-xmlrpc 2022-03-10 16:04:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.10.3 security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:0056


Note You need to log in before you can comment on or make changes to this bug.